unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  StdCtrls, ExtCtrls, Dialogs;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Image1: TImage;
    ColorDialog1: TColorDialog;
    Button2: TButton;
    Label1: TLabel;
    Button3: TButton;
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure SetFillColor(cl: TColor);
    procedure Button1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    FFillColor: TColor;
    property FillColor: TColor read FFillColor write SetFillColor;
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}
{$INCLUDE ca_colorfill.txt}

procedure TForm1.Button2Click(Sender: TObject);
begin
  if ColorDialog1.Execute then
    FillColor := Colordialog1.Color;
end;

procedure TForm1.SetFillColor(cl: TColor);
begin
  Label1.Color := cl;
  FFillColor := cl;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  FillColor := clRed;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  ColorFill(Image1.Picture.Bitmap, Fillcolor);
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  ColorMix(Image1.Picture.Bitmap, Fillcolor);
end;

end.

